export const educationalLevelGroups = [
  {
    label: 'Cycle 1',
    id: 'cycle1',
    children: [
      {
        label: 'petite section',
        levels: [''],
      },
      {
        label: 'moyenne section',
        levels: [''],
      },
      {
        label: 'grande section',
        levels: [''],
      },
    ],
  },
  {
    label: 'Cycle 2',
    id: 'cycle2',
    children: [
      {
        label: 'CP',
        levels: [''],
      },
      {
        label: 'CE1',
        levels: [''],
      },
      {
        label: 'CE2',
        levels: [''],
      },
    ],
  },
  {
    label: 'Cycle 3',
    id: 'cycle3',
    children: [
      {
        label: 'CM1',
        levels: [''],
      },
      {
        label: 'CM2',
        levels: [''],
      },
      {
        label: '6e',
        levels: [''],
      },
    ],
  },
  {
    label: 'Cycle 4',
    id: 'cycle4',
    children: [
      {
        label: '5e',
        levels: [''],
      },
      {
        label: '4e',
        levels: [''],
      },
      {
        label: '3e',
        levels: [''],
      },
    ],
  },
  {
    label: 'Lycée général',
    id: 'lyceeGeneral',
    children: [
      {
        label: '2de',
        levels: [''],
      },
      {
        label: '1re',
        levels: [''],
      },
      {
        label: 'Tle',
        levels: [''],
      },
    ],
  },
  {
    label: 'Lycée technologique',
    id: 'lyceeTechnologique',
    children: [
      {
        label: '2de',
        levels: [''],
      },
      {
        label: '1re',
        levels: [''],
      },
      {
        label: 'Tle',
        levels: [''],
      },
    ],
  },
  {
    label: 'Lycée pro. - CAP',
    id: 'lyceeProCAP',
    children: [
      {
        label: '1re année',
        levels: [''],
      },
      {
        label: '2e année',
        levels: [''],
      },
    ],
  },
  {
    label: 'Lycée pro. - Bac',
    id: 'lyceeProBac',
    children: [
      {
        label: '2de',
        levels: [''],
      },
      {
        label: '1re',
        levels: [''],
      },
      {
        label: 'Tle',
        levels: [''],
      },
    ],
  },
];

export const allEducationalLevelGroupsIds = [
  'cycle1',
  'cycle2',
  'cycle3',
  'cycle4',
  'lyceeGeneral',
  'lyceeTechnologique',
  'lyceeProCAP',
  'lyceeProBac',
  'autre',
  'etude',
] as const;

export const mapEducationalLevelToGroups: Record<
  string,
  Array<(typeof allEducationalLevelGroupsIds)[number]>
> = {
  '2de générale et technologique': ['lyceeGeneral', 'lyceeTechnologique'],
  '1re générale et technologique': ['lyceeGeneral', 'lyceeTechnologique'],
  'terminale générale et technologique': ['lyceeGeneral', 'lyceeTechnologique'],
  '2de professionnelle': ['lyceeProBac'],
  '1re professionnelle': ['lyceeProBac'],
  'terminale professionnelle': ['lyceeProBac'],
  'CAP 1° année': ['lyceeProCAP'],
  'CAP 2° année': ['lyceeProCAP'],
  'VBMA 1° année': ['lyceeProCAP'],
  'BMA 2° année': ['lyceeProCAP'],
  'BP 1° année': ['lyceeProBac'],
  'BP 2° année': ['lyceeProBac'],
  'CAP - 1re année': ['lyceeProCAP'],
  'CAP - 2e année': ['lyceeProCAP'],
  'BMA - 1re année': ['lyceeGeneral', 'lyceeTechnologique'],
  'BMA - 2e année': ['lyceeGeneral', 'lyceeTechnologique'],
  'BP - 1re année': ['lyceeProCAP'],
  'BP - 2e année': ['lyceeProCAP'],
  collège: ['cycle4'],
  'lycée général et technologique': ['lyceeGeneral', 'lyceeTechnologique'],
  'lycée professionnel': ['lyceeProCAP', 'lyceeProBac'],
  'enseignement supérieur en lycée': ['lyceeGeneral', 'lyceeTechnologique'],
  'Formation professionnelle': ['lyceeProCAP', 'lyceeProBac'],
  '6e': ['cycle3'],
  '5e': ['cycle4'],
  '4e': ['cycle4'],
  '3e': ['cycle4'],
  '3e professionnelle': ['lyceeProBac'],
  CM1: ['cycle3'],
  CM2: ['cycle3'],
  'école maternelle': ['cycle1'],
  'école élémentaire': ['cycle2', 'cycle3'],
  'collège professionnel': ['cycle4'],
  'adaptation scolaire et scolarisation des élèves handicapés': ['autre'],
  "cycles de l'enseignement scolaire": ['cycle2', 'cycle3'],
  'classe de détermination': ['autre'],
  'cycle terminal': ['lyceeGeneral'],
  'voies générale, technologique, professionnelle': [
    'lyceeGeneral',
    'lyceeTechnologique',
    'lyceeProCAP',
    'lyceeProBac',
  ],
  'cycle 3 (2016)': ['cycle3'],
  'cycle 4 (2016)': ['cycle4'],
  'BTS - 1re année': ['etude'],
  'BTS - 2e année': ['etude'],
  'DUT - 1re année': ['etude'],
  'DUT - 2e année': ['etude'],
  'CPGE - 1re année': ['etude'],
  'CPGE - 2e année': ['etude'],
  '1re générale': ['lyceeGeneral'],
  '1re pro domaine de la production': ['lyceeProBac'],
  '1re pro domaine des services': ['lyceeProBac'],
  '1re STMG': ['lyceeProBac'],
  '1re ST2S': ['lyceeProBac'],
  '1re STD2A': ['lyceeProBac'],
  '1re STI2D': ['lyceeProBac'],
  '1re STL': ['lyceeProBac'],
  '1re techno hôtellerie': ['lyceeProBac'],
  '1re technologique': ['lyceeTechnologique'],
  '1re TMD': ['lyceeProBac'],
  'terminale générale': ['lyceeGeneral'],
  'terminale pro domaine de la production': ['lyceeProBac'],
  'terminale pro domaine des services': ['lyceeProBac'],
  'terminale ST2S': ['lyceeProBac'],
  'terminale STD2A': ['lyceeProBac'],
  'terminale STI2D': ['lyceeProBac'],
  'terminale STL': ['lyceeProBac'],
  'terminale STMG': ['lyceeProBac'],
  'terminale techno hôtellerie': ['lyceeProBac'],
  'terminale technologique': ['lyceeTechnologique'],
  'terminale TMD': ['lyceeProBac'],
  'diplôme de comptabilité et gestion': ['etude'],
  'toute petite section': ['cycle1'],
  'petite section': ['cycle1'],
  'moyenne section': ['cycle1'],
  'grande section': ['cycle1'],
  CP: ['cycle2'],
  CE1: ['cycle2'],
  CE2: ['cycle2'],
  '4e professionnelle': ['autre'],
  'BTS 1° année': ['etude'],
  'BTS 2° année': ['etude'],
  'CAP 1re année': ['lyceeProCAP'],
  'CAP 2e année': ['lyceeProCAP'],
  'BMA 1re année': ['lyceeProCAP'],
  'BMA 2e année': ['lyceeProCAP'],
  'BP 1re année': ['lyceeProBac'],
  'BP 2e année': ['lyceeProBac'],
  'formation professionnelle': ['lyceeProBac'],
  '11-15 ans': ['cycle4'],
  '15-18 ans': ['lyceeGeneral', 'lyceeTechnologique'],
  'première STD2A': ['lyceeProBac'],
  'première générale et technologique': ['lyceeGeneral', 'lyceeTechnologique'],
  'voie technologique': ['lyceeTechnologique'],
  "cycles de l'enseignement scolaire (2016)": ['autre'],
};
